Directories API

Provides operations on OMN directories.

Retrieve directories

/dam/dirs/retrieve Retrieves a list of sub-directories of the given RNC or directory. .Details

Resource path

/api/core/v1/dam/dirs/retrieve

HTTP method

POST

Request content type

application/json

Response content type

  • application/xml; charset=UTF-8;

  • application/json

  • application/json+compact

Body parameters

Specified by DirectoryRequest

  • rncTid: it might be used to get a top level directories within the given RNC

  • dirTid: it might be used to get a list of directories

  • dirPath: it might be used to get a list of directories

  • level: it sets how many directory level should be loaded Default value is 1. "-1" means to load all levels. 0 (zero) - is invalid value

Return Type

PimType with filled DirectoriesType. More info DirectoryType

Responses
Table 1. Http response codes
Code Message Datatype

200

PimType with filled DirectoriesType

PimType

400

Invalid input provided

ResponseType

401

Not authorized

ResponseType

404

Not found

ResponseType

500

An unknown internal error occurred

ResponseType

Samples
Please use transform endpoint to get the JSON/compact-JSON samples from the XML one.
1. To get a list of directories of a given RNC using rncTid parameter
curl
curl --location --request POST 'https://<OMN_SERVER>/api/core/v1/dam/dirs/retrieve' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "rncTid": "MAM",
    "level": 1
}'
Request body
{
    "rncTid": "MAM",
    "level": 1
}
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-03-22T11:14:11.882Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <dirs>
        <dir tid="tid1" rnc="DATA">
            <name>directory1</name>
            <meta>
                <itm key="discriminator">DIR</itm>
                <itm key="identity">26576991</itm>
                <itm key="creationDate">2019-05-03T15:50:55.664Z</itm>
                <itm key="modificationDate">2020-02-14T17:58:59.275Z</itm>
            </meta>
        </dir>
        <dir tid="tid2" rnc="DATA">
            <name>directory2</name>
            <meta>
                <itm key="discriminator">DIR</itm>
                <itm key="identity">26576992</itm>
                <itm key="creationDate">2019-05-03T15:50:55.664Z</itm>
                <itm key="modificationDate">2020-02-14T17:58:59.275Z</itm>
            </meta>
        </dir>
    </dirs>
</pim>
2. To get a list of directories of a given RNC using dirPath parameter
curl
curl --location --request POST 'https://<OMN_SERVER>/api/core/v1/dam/dirs/retrieve' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "dirPath": "/DATA",
    "level": 1
}'
Request body
{
    "dirPath": "/DATA",
    "level": 1
}
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-03-22T11:14:11.882Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <dirs>
        <dir tid="tid1" rnc="DATA">
            <name>directory1</name>
            <meta>
                <itm key="discriminator">DIR</itm>
                <itm key="identity">26576991</itm>
                <itm key="creationDate">2019-05-03T15:50:55.664Z</itm>
                <itm key="modificationDate">2020-02-14T17:58:59.275Z</itm>
            </meta>
        </dir>
        <dir tid="tid2" rnc="DATA">
            <name>directory2</name>
            <meta>
                <itm key="discriminator">DIR</itm>
                <itm key="identity">26576992</itm>
                <itm key="creationDate">2019-05-03T15:50:55.664Z</itm>
                <itm key="modificationDate">2020-02-14T17:58:59.275Z</itm>
            </meta>
        </dir>
    </dirs>
</pim>
3. To get a list of sub-directories of a directory by dirTid parameter:
curl
curl --location --request POST 'http://<OMN_SERVER>/api/core/v1/dam/dirs/retrieve' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "dirTid": "2401C4CE-D223-4C3B-AE20-6260DFA6ECC5",
    "level": 1
}'
Request body
{
    "dirTid": "2401C4CE-D223-4C3B-AE20-6260DFA6ECC5",
    "level": 1
}
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-03-22T11:14:11.882Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <dirs>
        <dir tid="tid1" parent="tid0">
            <name>directory1</name>
            <meta>
                ...
            </meta>
        </dir>
        <dir tid="tid1.1" parent="tid1">
            <name>directory1.1</name>
            <meta>
                ...
            </meta>
        </dir>
        <dir tid="tid2" parent="tid0">
            <name>directory2</name>
            <meta>
                ...
            </meta>
        </dir>
    </dirs>
</pim>
4. To get a list of sub-directories of a directory by dirPath parameter:
curl
curl --location --request POST 'http://<OMN_SERVER>/api/core/v1/dam/dirs/retrieve' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "dirPath": "2401C4CE-D223-4C3B-AE20-6260DFA6ECC5",
    "level": 1
}'
Request body
{
    "dirPath": "/DATA/assets",
    "level": 1
}
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-03-22T11:14:11.882Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <dirs>
        <dir tid="tid1" parent="tid0">
            <name>directory1</name>
            <meta>
                ...
            </meta>
        </dir>
        <dir tid="tid1.1" parent="tid1">
            <name>directory1.1</name>
            <meta>
                ...
            </meta>
        </dir>
        <dir tid="tid2" parent="tid0">
            <name>directory2</name>
            <meta>
                ...
            </meta>
        </dir>
    </dirs>
</pim>

Persist directories

/dam/dirs/persist Persist a list of directories.
Table 2. Details

Resource path

/api/core/v1/dam/dirs/persist

HTTP method

POST

Request content type

  • application/xml; charset=UTF-8;

  • application/json

  • application/json+compact

Response content type

  • application/xml; charset=UTF-8;

  • application/json

  • application/json+compact

Directory attributes

Directory attributes are stored in DirectoryType.vals

Directory attributes type and examples
Attribute type Is localized Response template Example

Boolean

<val attr="{attribute_name}">
    <itm>{attribute_value}</itm>
</val>
<val attr="BOOLEAN_SIMPLE">
    <itm>false</itm>
</val>

Boolean

X

<val attr="{attribute_name}" type="localized">
    <itm loc="{language_code}">{attribute_value}</itm>
</val>
<val attr="BOOLEAN_LANGUAGE" type="localized">
    <itm loc="en_EN">true</itm>
</val>

Date

<val attr="{attribute_name}">
    <itm>{iso8601_date}</itm>
</val>
<val attr="DATE_SIMPLE">
    <itm>2022-06-11T13:05:32.000Z</itm>
</val>

Date

X

<val attr="{attribute_name}" type="localized">
    <itm loc="{language_code}">{iso8601_date}</itm>
</val>
<val attr="DATE_LANGUAGE" type="localized">
    <itm loc="en_EN">2022-06-04T13:05:32.000Z</itm>
</val>

Enumeration

<val attr="{attribute_name}" type="multiple">
    <itm pos="0">{attribute_value0}</itm>
    <itm pos="1">{attribute_value1}</itm>
    <itm pos="N">{attribute_valuen}</itm>
</val>
<val attr="ENUMERATION_SIMPLE" type="multiple">
    <itm pos="0">value0</itm>
    <itm pos="1">value1</itm>
    <itm pos="2">value2</itm>
</val>

Enumeration

X

<val attr="{attribute_name}" type="multi_loc">
    <i18n loc="{language_code}">
        <itm pos="0">{attribute_value0}</itm>
        <itm pos="1">{attribute_value1}</itm>
        <itm pos="N">{attribute_valuen}</itm>
    </i18n>
</val>
<val attr="ENUMERATION_LANGUAGE" type="multi_loc">
    <i18n loc="en_EN">
        <itm pos="0">value0</itm>
        <itm pos="1">value1</itm>
        <itm pos="2">value2</itm>
    </i18n>
</val>

Number

<val attr="{attribute_name}">
    <itm>{attribute_value}</itm>
</val>
<val attr="NUMBER_SIMPLE">
    <itm>33</itm>
</val>

Number

X

<val attr="{attribute_name}" type="localized">
    <itm loc="{language_code}">{value}</itm>
</val>
<val attr="NUMBER_LANGUAGE" type="localized">
    <itm loc="en_EN">77</itm>
</val>

String

<val attr="{attribute_name}">
    <itm>{attribute_value}</itm>
</val>
<val attr="NUMBER_SIMPLE">
    <itm>33</itm>
</val>

String

X

<val attr="{attribute_name}" type="localized">
     <itm>{attribute_value}</itm>
</val>
<val attr="STRING_SIMPLE">
    <itm>temp</itm>
</val>
Body parameters

Specified by DirectoryType

  • rnc: root node configuration

  • tid: unique identifier

  • parent: parent directory unique identifier

  • name: new directory name

Directory attributes can be persisted in the same request with directory. See Directory attributes
Return Type

PimType with filled ResponsesType

Responses
Table 3. Http response codes
Code Message Datatype

200

PimType with list of successful or error ResponseTypes

PimType

400

Invalid input provided

ResponseType

401

Not authorized

ResponseType

404

Not found

ResponseType

500

An unknown internal error occurred

ResponseType

Samples
Please use transform endpoint to get the JSON/compact-JSON samples from the XML one.
1. Create a directory:
1.1. Create in the given RNC
curl
curl --location --request POST 'https://<OMN_SERVER>/api/core/v1/dam/dirs/persist' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/xml' \
--data-raw '<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <dirs>
        <dir rnc="MAM">
            <name>New directory</name>
        </dir>
    </dirs>
</pim>'
Request body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <dirs>
        <dir rnc="MAM">
            <name>New Directory</name>
        </dir>
    </dirs>
</pim>
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-05-13T16:20:23.420Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir"
                tid="7D534991-B623-418C-A7CB-A273C877A37D"
                action="create">
            <status>SUCCESS</status>
            <description>The directory has been saved successfully</description>
        </response>
    </responses>
</pim>
1.2. Create in the given parent directory
curl
curl --location --request POST 'https://<OMN_SERVER>/api/core/v1/dam/dirs/persist' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/xml' \
--data-raw '<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <dirs>
        <dir parent="63FBCD05-4DB0-42D5-AB13-C87F3366CA82">
            <name>New directory</name>
        </dir>
    </dirs>
</pim>'
Request body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <dirs>
        <dir parent="483AAC0B-57F2-4B70-95F9-FF1DAD9AA9C6">
            <name>New Directory</name>
        </dir>
    </dirs>
</pim>
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-05-13T16:20:23.420Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir"
                tid="7D534991-B623-418C-A7CB-A273C877A37D"
                action="create">
            <status>SUCCESS</status>
            <description>The directory has been saved successfully</description>
        </response>
    </responses>
</pim>
Error responses
Missing directory parameter 'name'
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-07-06T11:45:41.247Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir" action="create">
            <status>ERROR</status>
            <description>Missing directory parameter 'name'"</description>
        </response>
    </responses>
</pim>
2. Update a directory
2.1. Update in the given RNC
curl
curl --location --request POST 'http://<OMN_SERVER>/api/core/v1/dam/dirs/persist' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/xml' \
--data-raw '<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <dirs>
        <dir tid="7D534991-B623-418C-A7CB-A273C877A37D" rnc="MAM">
            <name>Updated Directory</name>
        </dir>
    </dirs>
</pim>'
Request body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <dirs>
        <dir tid="7D534991-B623-418C-A7CB-A273C877A37D" rnc="MAM">
            <name>Updated Directory</name>
        </dir>
    </dirs>
</pim>
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-05-13T16:25:28.200Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir"
                tid="7D534991-B623-418C-A7CB-A273C877A37D"
                action="update">
            <status>SUCCESS</status>
            <description>The directory has been saved successfully</description>
        </response>
    </responses>
</pim>
2.2. Update in the parent directory
curl
curl --location --request POST 'http://<OMN_SERVER>/api/core/v1/dam/dirs/persist' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/xml' \
--data-raw '<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <dirs>
        <dir tid="41A7CF7F-60DA-4F76-8288-D9721389812A" parent="778B4AFD-6EC5-45D8-95B4-DA2213243B77">
            <name>Updated Directory</name>
        </dir>
    </dirs>
</pim>'
Request body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <dirs>
        <dir tid="41A7CF7F-60DA-4F76-8288-D9721389812A" parent="778B4AFD-6EC5-45D8-95B4-DA2213243B77">
            <name>Updated Directory</name>
        </dir>
    </dirs>
</pim>
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-05-13T16:25:28.200Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir"
                tid="7D534991-B623-418C-A7CB-A273C877A37D"
                action="update">
            <status>SUCCESS</status>
            <description>The directory has been saved successfully</description>
        </response>
    </responses>
</pim>
Error responses
Move directory to itself or to the parent directory
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-07-06T11:45:41.247Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir" action="update">
            <status>ERROR</status>
            <description>"Target directory is itself or target parent directory"</description>
        </response>
    </responses>
</pim>
Missing directory parameter 'name' when updating
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-07-06T11:45:41.247Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir" action="update">
            <status>ERROR</status>
            <description>Missing directory parameter 'name'</description>
        </response>
    </responses>
</pim>
Common error responses
Directory attributes missing
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-07-06T11:45:41.247Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir" action="create">
            <status>ERROR</status>
            <description>Directory attributes missing: 'rnc' or 'parent' attribute must be</description>
        </response>
    </responses>
</pim>
Directory attributes mismatched
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-07-06T11:45:41.247Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir" action="create">
            <status>ERROR</status>
            <description>There must be only one of the attributes - 'rnc' or 'parent'</description>
        </response>
    </responses>
</pim>
Permissions missing
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-07-06T11:45:41.247Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir" action="create">
            <status>ERROR</status>
            <description>Permissions missing for directory with tid '7D534991-B623-418C-A7CB-A273C877A37D'</description>
        </response>
    </responses>
</pim>
RNC not found
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-07-06T11:45:41.247Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir" action="create">
            <status>ERROR</status>
            <description>Cannot find RNC with identifier 'MAM'</description>
        </response>
    </responses>
</pim>
Directory already exists
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-07-06T11:45:41.247Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir" action="create">
            <status>ERROR</status>
            <description>Directory with name 'Directory' already exists</description>
        </response>
    </responses>
</pim>
Parent directory not found
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-07-06T11:45:41.247Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir" action="create">
            <status>ERROR</status>
            <description>Directory not found</description>
        </response>
    </responses>
</pim>
File Management Synchronizer error
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-07-06T11:45:41.247Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir" action="create">
            <status>ERROR</status>
            <description>File Management Synchronizer error</description>
        </response>
    </responses>
</pim>
Directory not found
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-07-06T11:45:41.247Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir" action="update">
            <status>ERROR</status>
            <description>Cannot find directory with tid '7D534991-B623-418C-A7CB-A273C877A37D'</description>
        </response>
    </responses>
</pim>

Perform directories

/dam/dirs/perform Perform action of the specific type on directory
Table 4. Details

Resource path

/api/core/v1/dam/dirs/perform

HTTP method

POST

Request content type

  • application/xml; charset=UTF-8;

  • application/json

  • application/json+compact

Response content type

  • application/xml; charset=UTF-8;

  • application/json

  • application/json+compact

Body parameters

PimType with filled ActionsType

Provided ActionTypes must have the following fields:

  • Data type: dir;

  • tid, id or path of directory;

  • Action type: delete, move, copy, createPath.

Return Type

PimType with filled ResponsesType

Responses
Table 5. Http response codes
Code Message Datatype

200

PimType with list of successful or error ResponseTypes

PimType

400

Invalid input provided

ResponseType

401

Not authorized

ResponseType

404

Not found

ResponseType

500

An unknown internal error occurred

ResponseType

Samples
Please use transform endpoint to get the JSON/compact-JSON samples from the XML one.
1. Delete directory
1.1. Delete by tid
curl
curl --location --request POST 'http://<OMN_SERVER>/api/core/v1/dam/dirs/perform' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/xml' \
--data-raw '<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-04T10:10:16.774Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
        <actions>
            <action dataType="dir" tid="730DD2AE-3AEA-4A13-9C3A-C6EC3C94ADCE" type="delete"/>
       </actions>
</pim>'
Request body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-04T10:10:16.774Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <actions>
        <action dataType="dir" tid="730DD2AE-3AEA-4A13-9C3A-C6EC3C94ADCE" type="delete"/>
    </actions>
</pim>
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-12-09T11:39:25.555Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir"
                tid="51F78647-63AE-4F3E-8D4B-664E070C6AA2"
                action="delete">
            <status>SUCCESS</status>
            <description>The directory has been deleted successfully</description>
        </response>
    </responses>
</pim>
2. Move directory
2.1. Move by tid
curl
curl --location --request POST 'http://<OMN_SERVER>/api/core/v1/dam/dirs/perform' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/xml' \
--data-raw '<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-08T12:54:32.990Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <actions>
        <action dataType="dir" tid="E769ABBC-9AFC-47F2-8983-8DB40610937B" type="move">
        <meta>
            <itm key="destinationDirTid">EEB36E10-5B45-492A-BAB5-5737DDCC9B12</itm>
            <itm key="overwrite">false</itm>
        </meta>
        </action>
    </actions>
</pim>'
Request body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-08T12:54:32.990Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <actions>
        <action dataType="dir" tid="E769ABBC-9AFC-47F2-8983-8DB40610937B" type="move">
        <meta>
            <itm key="destinationDirTid">EEB36E10-5B45-492A-BAB5-5737DDCC9B12</itm>
            <itm key="overwrite">false</itm>
        </meta>
        </action>
    </actions>
</pim>
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-08-18T06:22:10.069Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir"
                tid="E54AC373-09D8-478D-B201-9775D046EF4F"
                id="23902"
                action="move"
                path="/MAM/dirToMove">
            <status>SUCCESS</status>
            <description>dir has been moved</description>
            <details>
                <itm key="monitorId">23955</itm>
            </details>
        </response>
    </responses>
</pim>
2.2. Move by id
curl
curl --location --request POST 'http://<OMN_SERVER>/api/core/v1/dam/dirs/perform' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/xml' \
--data-raw '<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-08T12:54:32.990Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <actions>
        <action dataType="dir" id="23901" type="move">
        <meta>
            <itm key="destinationDirId">23900</itm>
            <itm key="overwrite">false</itm>
        </meta>
        </action>
    </actions>
</pim>'
Request body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-08T12:54:32.990Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <actions>
        <action dataType="dir" id="23901" type="move">
        <meta>
            <itm key="destinationDirId">23900</itm>
            <itm key="overwrite">false</itm>
        </meta>
        </action>
    </actions>
</pim>
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-08-18T06:22:10.069Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir"
                tid="E54AC373-09D8-478D-B201-9775D046EF4F"
                id="23902"
                action="move"
                path="/MAM/dirToMove">
            <status>SUCCESS</status>
            <description>dir has been moved</description>
            <details>
                <itm key="monitorId">23955</itm>
            </details>
        </response>
    </responses>
</pim>
2.3. Move by path
curl
curl --location --request POST 'http://<OMN_SERVER>/api/core/v1/dam/dirs/perform' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/xml' \
--data-raw '<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-08T12:54:32.990Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <actions>
        <action dataType="dir" path="/MAM/dirToMove" type="move">
        <meta>
         <itm key="destinationDirPath">/MAM/destinationDir</itm>
         <itm key="overwrite">false</itm>
        </meta>
        </action>
    </actions>
</pim>'
Request body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-08T12:54:32.990Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <actions>
        <action dataType="dir" path="/MAM/dirToMove" type="move">
        <meta>
         <itm key="destinationDirPath">/MAM/destinationDir</itm>
         <itm key="overwrite">false</itm>
        </meta>
        </action>
    </actions>
</pim>
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-08-18T06:22:10.069Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir"
                tid="E54AC373-09D8-478D-B201-9775D046EF4F"
                id="23902"
                action="move"
                path="/MAM/dirToMove">
            <status>SUCCESS</status>
            <description>dir has been moved</description>
            <details>
                <itm key="monitorId">23955</itm>
            </details>
        </response>
    </responses>
</pim>
Error responses
Destination directory does not exist
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-08-18T06:27:00.349Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir" action="move" path="/MAM/dirToMove">
            <status>ERROR</status>
            <description>The directory does not exist</description>
        </response>
    </responses>
</pim>
No access to destination directory
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-08-18T07:00:03.303Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir"
                tid="4E1D4697-5085-4BDA-80CE-8DDCEAA9E584"
                id="23905"
                action="move"
                path="/MAM/dirToMove">
            <status>ERROR</status>
            <description>Error during moving: No access to destination object '/destinationDir'</description>
        </response>
    </responses>
</pim>
Collision during move
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-08-18T06:22:10.069Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir"
                tid="E54AC373-09D8-478D-B201-9775D046EF4F"
                id="23902"
                action="move"
                path="/MAM/dirToMove">
            <status>ERROR</status>
            <description>Collision during move. Collision dir name:'dirToMove'</description>
            <details>
                <itm key="collision">true</itm>
                <itm key="monitorId">77835</itm>
            </details>
        </response>
    </responses>
</pim>
3. Copy directory
3.1. Copy by tid
curl
curl --location --request POST 'http://<OMN_SERVER>/api/core/v1/dam/dirs/perform' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/xml' \
--data-raw '<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-08T12:54:32.990Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <actions>
        <action dataType="dir" tid="957836F4-840A-492B-B149-9720D177BC56" type="copy">
        <meta>
         <itm key="destinationDirTid">957836F4-840A-492B-B149-9720D177BC59</itm>
         <itm key="overwrite">false</itm>
        </meta>
        </action>
    </actions>
</pim>'
Request body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-08T12:54:32.990Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <actions>
        <action dataType="dir" tid="957836F4-840A-492B-B149-9720D177BC56" type="copy">
        <meta>
         <itm key="destinationDirTid">957836F4-840A-492B-B149-9720D177BC59</itm>
         <itm key="overwrite">false</itm>
        </meta>
        </action>
    </actions>
</pim>
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-08-19T11:54:34.959Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir"
                tid="957836F4-840A-492B-B149-9720D177BC56"
                id="72030"
                action="copy"
                path="/MAM/demo/copies/tempAR">
            <status>SUCCESS</status>
            <description>dir has been copied</description>
            <details>
                <itm key="monitorId">79851</itm>
            </details>
        </response>
    </responses>
</pim>
3.2. Copy by id
curl
curl --location --request POST 'http://<OMN_SERVER>/api/core/v1/dam/dirs/perform' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/xml' \
--data-raw '<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-08T12:54:32.990Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <actions>
        <action dataType="dir" id="3221749" type="copy">
        <meta>
         <itm key="destinationDirId">2376394</itm>
         <itm key="overwrite">false</itm>
        </meta>
        </action>
    </actions>
</pim>'
Request body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-08T12:54:32.990Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <actions>
        <action dataType="dir" id="3221749" type="copy">
        <meta>
         <itm key="destinationDirId">2376394</itm>
         <itm key="overwrite">false</itm>
        </meta>
        </action>
    </actions>
</pim>
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-08-19T11:54:34.959Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir"
                tid="957836F4-840A-492B-B149-9720D177BC56"
                id="72030"
                action="copy"
                path="/MAM/demo/copies/tempAR">
            <status>SUCCESS</status>
            <description>dir has been copied</description>
            <details>
                <itm key="monitorId">79851</itm>
            </details>
        </response>
    </responses>
</pim>
3.3. Copy by path
curl
curl --location --request POST 'http://<OMN_SERVER>/api/core/v1/dam/dirs/perform' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/xml' \
--data-raw '<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-08T12:54:32.990Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <actions>
        <action dataType="dir" path="/MAM/demo/copies/tempAR" type="copy">
        <meta>
         <itm key="destinationDirPath">/MAM/</itm>
         <itm key="overwrite">false</itm>
        </meta>
        </action>
    </actions>
</pim>'
Request body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-08T12:54:32.990Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <actions>
        <action dataType="dir" path="/MAM/demo/copies/tempAR" type="copy">
        <meta>
         <itm key="destinationDirPath">/MAM/</itm>
         <itm key="overwrite">false</itm>
        </meta>
        </action>
    </actions>
</pim>
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-08-19T11:54:34.959Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir"
                tid="957836F4-840A-492B-B149-9720D177BC56"
                id="72030"
                action="copy"
                path="/MAM/demo/copies/tempAR">
            <status>SUCCESS</status>
            <description>dir has been copied</description>
            <details>
                <itm key="monitorId">79851</itm>
            </details>
        </response>
    </responses>
</pim>
Error responses
Destination directory does not exist
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-08-18T06:27:00.349Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir" action="copy" path="/MAM/dirToCopy">
            <status>ERROR</status>
            <description>The directory does not exist</description>
        </response>
    </responses>
</pim>
No access to destination directory
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-08-18T07:00:03.303Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir"
                tid="4E1D4697-5085-4BDA-80CE-8DDCEAA9E584"
                id="23905"
                action="copy"
                path="/MAM/dirToCopy">
            <status>ERROR</status>
            <description>Error during moving: No access to destination object '/destinationDir'</description>
        </response>
    </responses>
</pim>
Collision during copy
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-08-19T12:46:31.213Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir"
                tid="957836F4-840A-492B-B149-9720D177BC56"
                id="72030"
                action="copy"
                path="/MAM/demo/copies/tempAR">
            <status>ERROR</status>
            <description>Collision during copy. Collision dir name:'tempAR'</description>
            <details>
                <itm key="collision">true</itm>
                <itm key="monitorId">79856</itm>
            </details>
        </response>
    </responses>
</pim>
3. Create path (multiple directories)
3.1. Create by path
Request body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <actions>
        <action dataType="dir" path="/MAM/test2/1" type="createPath"/>
    </actions>
</pim>
Response body (Info about the last/deepest created directory only)
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2023-10-19T11:35:25.013Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response action="create" dataType="dir" tid="0E680AA4-5749-46FB-8A46-02282E37BAC1">
            <description>The directory has been saved successfully</description>
            <status>SUCCESS</status>
        </response>
    </responses>
</pim>
Common error responses
Directory does not exist
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-04T13:36:54.983Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir"
                tid="37590039-3AEA-4A13-9C3A-C6EC3C94ADCE2"
                action="delete">
            <status>ERROR</status>
            <description>Cannot find directory with tid '37590039-3AEA-4A13-9C3A-C6EC3C94ADCE2'</description>
        </response>
    </responses>
</pim>
Wrong request data type
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-06-04T13:38:16.444Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="asset"
                tid="37590039-3AEA-4A13-9C3A-C6EC3C94ADCE2"
                action="delete">
            <status>ERROR</status>
            <description>The data type of the passed item is wrong. It must be 'dir'</description>
        </response>
    </responses>
</pim>
No access to directory
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-08-18T07:04:12.515Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <responses>
        <response dataType="dir"
                tid="4E1D4697-5085-4BDA-80CE-8DDCEAA9E584"
                id="23905"
                action="move"
                path="/MAM/dirToMove">
            <status>ERROR</status>
            <description>Error during moving: No access to source objects</description>
        </response>
    </responses>
</pim>

Welcome to the AI Chat!

Write a prompt to get started...